<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
    <title>Admin Map Renderer</title>
    <script src="http://maps.google.com/maps?file=api&v=2&key=ABQIAAAAjU0EJWnWPMv7oQ-jjS7dYxTPZYElJSBeBUeMSX5xXgq6lLjHthSAk20WnZ_iuuzhMt60X_ukms-AUg"
            type="text/javascript"></script>

    <script type="text/javascript">
    //<![CDATA[

    var iconBlue = new GIcon();
    iconBlue.image = 'assets/orangepin.png';
    iconBlue.shadow = 'http://labs.google.com/ridefinder/images/mm_20_shadow.png';
    iconBlue.iconSize = new GSize(12, 20);
    iconBlue.shadowSize = new GSize(22, 20);
    iconBlue.iconAnchor = new GPoint(6, 20);
    iconBlue.infoWindowAnchor = new GPoint(5, 1);

    var iconRed = new GIcon();
    iconRed.image = 'assets/redpin.png';
    iconRed.shadow = 'http://labs.google.com/ridefinder/images/mm_20_shadow.png';
    iconRed.iconSize = new GSize(12, 20);
    iconRed.shadowSize = new GSize(22, 20);
    iconRed.iconAnchor = new GPoint(6, 20);
    iconRed.infoWindowAnchor = new GPoint(5, 1);

    var iconBrown = new GIcon();
    iconRed.image = 'assets/brownpin.png';
    iconRed.shadow = 'http://labs.google.com/ridefinder/images/mm_20_shadow.png';
    iconRed.iconSize = new GSize(12, 20);
    iconRed.shadowSize = new GSize(22, 20);
    iconRed.iconAnchor = new GPoint(6, 20);
    iconRed.infoWindowAnchor = new GPoint(5, 1);


    var iconOrange = new GIcon();
    iconRed.image = 'assets/orangepin.png';
    iconRed.shadow = 'http://labs.google.com/ridefinder/images/mm_20_shadow.png';
    iconRed.iconSize = new GSize(12, 20);
    iconRed.shadowSize = new GSize(22, 20);
    iconRed.iconAnchor = new GPoint(6, 20);
    iconRed.infoWindowAnchor = new GPoint(5, 1);


    var customIcons = [];
    customIcons["restaurant"] = iconBlue;
    customIcons["bar"] = iconRed;

    function load() {
      if (GBrowserIsCompatible()) {
        var map = new GMap2(document.getElementById("map"));
        map.addControl(new GSmallMapControl());
        map.addControl(new GMapTypeControl());
        map.setCenter(new GLatLng(29.614495,77.341861), 13);

        GDownloadUrl("adminmap.php", function(data) {
          var xml = GXml.parse(data);
          var markers = xml.documentElement.getElementsByTagName("marker");

          for (var i = 0; i < markers.length; i++) {
            var idQR = markers[i].getAttribute("idQR");
            var location = markers[i].getAttribute("Location");
            var latitude = markers[i].getAttribute("Latitude");
            var longitude=markers[i].getAttribute("Longitude");
     
            var point = new GLatLng(parseFloat(markers[i].getAttribute("Latitude")),
                                    parseFloat(markers[i].getAttribute("Longitude")));
      //        
            var upvotes=markers[i].getAttribute("Upvotes");
            var landmark=markers[i].getAttribute("Landmark");
            
            var marker = createMarker(point, idQR, location, latitude, longitude, landmark, upvotes);
            map.addOverlay(marker);
          }
        });
      }
    }
  
    function createMarker(point, idQR, location, latitude, longitude, landmark, upvotes) {
      
var nupvotes=parseInt(upvotes);
var mark=iconBlue;
/*if(nupvotes<10)
{
var mark=iconBlue;
	}
else if (nupvotes>10 && nupvotes<30)
{
var mark=iconBrown;
	}
else if (nupvotes>30 && nupvotes>50)
{
var mark=iconOrange;
	}
else
{
var mark=iconRed;
	}
*/
        
          var marker = new GMarker(point, mark);
      var html = "<b>ID: " + idQR + "</b> <br/>Location: " + location + "Coordinate: " + latitude + "," + longitude + "<br>Landmark: " + landmark + "<br>Upvotes: " + upvotes;
       
      GEvent.addListener(marker, 'click', function() {
        marker.openInfoWindowHtml(html);
      });
      return marker;
    }
    //]]>
  </script>

  </head>

  <body onload="load()" onunload="GUnload()">
    <div id="map" style="width: 2000px; height: 1700px"></div>
  </body>
</html>